<template>
  <div class="profile">
    <div >
      <div class="content">
        <div class="d-flex justify-content-between">
          <h3 class>
            <strong>My Accont</strong>
          </h3>
        </div>

        <br />
        <p>
          Name :
          <span>{{ user.name }}</span>
        </p>
        <hr />
        <p>
          Email Address :
          <span>{{ user.email }}</span>
        </p>
        <hr />
        <p>
          Score :
          <span>{{ user.score }}</span>
        </p>
        <hr />
        <p>
          Company :
          <span>{{ user.company }}</span>
        </p>
        <hr />
        <p>
          City :
          <span>{{ user.country }}</span>
        </p>
        <hr />
        <p>
          Title :
          <span>{{ user.title }}</span>
        </p>
        <p>
          Phone :
          <span>{{ user.phone }}</span>
        </p>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import { store } from "../../store/index.js";

export default {
  data() {
    return {
      user: {}
    };
  },
  methods: {
    getUsetData() {
      let token = store.getters.getUserInfo;
      axios
        .get("http://ramadan-iftar.cat-sw.com/api/account/me", {
          headers: { Authorization: "Bearer " + token.access_token }
        })
        .then(response => {
          this.user = response.data.data;
        })
        .catch(error => {
          console.log(error);
        });
    }
  },
  mounted() {
    this.getUsetData();
  }
};
</script>

<style scoped>
.content {
  background-color: #272727;
  color: white;
  height: 100%;
  margin: 1rem;
  padding: 1rem;
  text-align: left;
  font-weight: 100;
}
</style>
